<?php



class Index extends Controller {



    function __construct($name) {

        parent::__construct($name);

        $this->seo();

    }



    public function index() {



        $this->checkLogin();

      // echo 'gdgg'; exit;

        $this->view->css[] = CSS . 'ie.css';

        $this->view->css[] = CSS . 'layout.css';

        $this->view->js[] = JS . 'hideshow.js';

        $this->view->js[] = JS . 'jquery.tablesorter.min.js';

        $this->view->js[] = JS . 'jquery.equalHeight.js';

        $this->view->pathFlow = array('Dashboard');

        $this->view->renderAdmin('manage/index');

        $this->view->title = 'JDCO';

        $this->view->metaKeywords = '';

        $this->view->metaDescription = '';

    }



    public function checkLogin() {

//   echo 'WWW';

        $adminId = Session::get(ADMIN_ID);

//        echo $adminId;

        if ($adminId) {

            $token = Session::get(ADMINTOKEN);

            //echo $token;

            $user = $this->model->checkAdminLogin($adminId, $token);

            if (!$user) {

                header('location:' . MANAGE . 'login');

                exit;

            } else {

                $this->view->userName = $user['userName'];

            }

        } else {

            header('location:' . MANAGE . 'login');

            exit;

        }

    }



    public function logout() {

        Session::destroy();

        header('location:' . MANAGE . 'login');

    }



    public function login() {

     

        if (isset($_POST['subLogin'])) {

            $user = $this->model->checkLogin($_POST);

            if (isset($user['salt'])) {

                Session::set(ADMIN_ID, $user['adminId']);

                Session::set(ADMINTOKEN, Hash::create('sha256', $user['salt'] . 'mfm'

                                . $user['userName'], HASH_TOKEN_KEY));

                header('location:' . MANAGE);

            } else {

                Session::remove(ADMIN_ID);

                Session::remove(ADMINTOKEN);

            }

        }

        $this->view->css[] = CSS . 'ie.css';

        $this->view->css[] = CSS . 'layout.css';

        $this->view->js[] = JS . 'hideshow.js';

        $this->view->js[] = JS . 'jquery.tablesorter.min.js';

        $this->view->js[] = JS . 'jquery.equalHeight.js';

        $this->view->renderAdmin('manage/login', false);

    }



}