<?php
ob_start();


/**

 * Description of Controller

 *

 * @author niyas

 */

class Controller {



    function __construct() {

        $this->view = new View();

        Session::init();

    //    $this->createSession();

//        $this->gethdrdtl();

 //       $this->checkLoginStatus();

//        $this->getftrdtl();

//        error_reporting(E_ALL);

//        ini_set("display_errors", 'On');

    }



    public function loadModel($name) {



        $path = 'models/' . $name . '_model.php';



        if (file_exists($path)) {

            require 'models/' . $name . '_model.php';



            $modelName = $name . '_Model';

            $this->model = new $modelName();

        }

    }



    public function checkAdminLogin() {

        $adminId = Session::get(ADMIN_ID);

        if ($adminId) {

            $token = Session::get(ADMINTOKEN);

            //echo $token;

            $mdl = new Model();

            $user = $mdl->getAdmin($adminId, $token);

            // print_r($user);exit;

            if (!$user) {

                header('location:' . MANAGE . 'login');

                exit;

            } else {

                $this->view->userName = $user['userName'];

            }

        } else {

            header('location:' . MANAGE . 'login');

            exit;

        }

    }



    public function seo() {

        $this->view->title = 'AlNukhbah';

        $this->view->metaKeywords = '';

        $this->view->metaDescription = '';

        if (isset($this->view->brands))

            foreach ($this->view->brands as $brand) {

                $this->view->metaKeywords.=',' . $brand['brandName'] . ' compressor parts';

                $this->view->metaDescription.=',' . $brand['brandName'] . ' compressor parts';

                if (isset($this->view->topcategories))

                    foreach ($this->view->topcategories as $topcategory) {

                        if ($brand['brandId'] == $topcategory['brandId']) {

                            $this->view->metaKeywords.=',' . $brand['brandName'] . ' ' . $topcategory['categoryName'];

                            $this->view->metaDescription.=',' . $brand['brandName'] . ' ' . $topcategory['categoryName'];

                        }

                    }

            }

    }



    public function checkLoginStatus($reurl = null) {

        $userId = Session::get(USER_ID);

        $token = Session::get(TOKEN);

        $ter = new Model();

        $userData = $ter->getUser($userId);

        if ($token == Hash::create('sha256', $userData['userName']

                        . $userData['password'], HASH_TOKEN_KEY)) {

            $this->view->userName = $userData['userName'];

            $this->view->userId = $userData['userId'];

            $result = array('status' => 'active');

        } else {

            Session::remove(USER_ID);

            Session::remove(TOKEN);

            $this->view->userId = null;

            $this->view->userName = null;

            $result = array('status' => 'inactive');

            if ($reurl) {

                header('location:' . MEMBER . 'login?reurl=' . $reurl);

            }

        }

    }



    public function includeJs($folder, $file) {

        $path = 'views/' . $folder . '/js/' . $file . '.js';

        if (file_exists($path)) {

            $this->view->js[] = URL . 'views/' . $folder . '/js/' . $file . '.js';

        }

    }



  



    public function createSession() {

        $sessionId = Session::get(SESSION_ID);

        if (!$sessionId) {

            Session::set(SESSION_ID, Hash::create('sha256', time() . 'mfm' . rand(1000, 9999), HASH_SALT_KEY));

        }

        $try = new Model();

      //  $this->view->count = $try->getSessionCount();

    }



 

}



